--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/mk_sols Mon Nov 08 02:16:33 2021 +0000
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+
+subdirs=${1:-"core_solution1 core_solution2 core_solution3 main_solution1 main_solution2 main_solution3 main_solution4 main_solution5"}
+
+for sd in $subdirs; do
+ cd $sd
+ for fl in *.scala; do
+ echo "$sd/$fl"
+ echo "copy to ${sd/solution/templates}/${fl%.scala}.jar"
+ scalac -d ${fl%.scala}.jar $fl
+ cp ${fl%.scala}.jar "../${sd/solution/templates}"
+ hg add "../${sd/solution/templates}/${fl%.scala}.jar"
+ done
+ cd ..
+done
+
+hg commit -m "updated jars"
+
+# producing solutions and templates
+# tar -zcvf templates.tgz pre_templates* main_templates*
+# tar -zcvf solutions.tgz core_solution* main_solution*